dfg_3dviewer.settings:
  type: config_object
  label: 'Configuration of DFG 3D Viewer'
  mapping:
    dfg_3dviewer_main_url:
      type: string
      label: 'Main URL'
    dfg_3dviewer_basenamespace:
      type: string
      label: 'Default base namespace'
    dfg_3dviewer_metadata_url:
      type: string
      label: 'Metadata URL'
    dfg_3dviewer_json_export_base_url:
      type: string
      label: 'JSON export base URL'
    dfg_3dviewer_container:
      type: string
      label: 'Container ID'
    dfg_3dviewer_entitybundle:
      type: string
      label: 'Entity bundle ID'
    dfg_3dviewer_viewer_file_upload:
      type: string
      label: 'Viewer file upload field ID'
    dfg_3dviewer_viewer_file_name:
      type: string
      label: 'Viewer file name field ID'
    dfg_3dviewer_api_3d_file_field:
      type: string
      label: 'API 3D file field'
    dfg_3dviewer_image_generation:
      type: string
      label: 'Image generation field ID'
    dfg_3dviewer_field_df:
      type: string
      label: 'Field DF'
    dfg_3dviewer_export_viewer:
      type: string
      label: 'Export viewer field'
    dfg_3dviewer_export_viewer_url:
      type: string
      label: 'Export viewer URL'
    dfg_3dviewer_lightweight:
      type: boolean
      label: 'Lightweight mode'
    dfg_3dviewer_scale_container_x:
      type: string
      label: 'Scale container X'
    dfg_3dviewer_scale_container_y:
      type: string
      label: 'Scale container Y'
    dfg_3dviewer_gallery_container:
      type: string
      label: 'Gallery container element'
    dfg_3dviewer_gallery_image_class:
      type: string
      label: 'Gallery image class'
    dfg_3dviewer_gallery_image_id:
      type: string
      label: 'Gallery image ID'
    dfg_3dviewer_base_module_path:
      type: string
      label: 'Viewer asset base path'
    dfg_3dviewer_entity_id_uri:
      type: string
      label: 'Entity ID URI regex'
    dfg_3dviewer_view_entity_path:
      type: string
      label: 'View entity path'
    dfg_3dviewer_attribute_id:
      type: string
      label: 'WissKI attribute ID'
